<?php

namespace Site\FrontendBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;


class RegisterType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('email', 'email')
            ->add('password', 'repeated', array(
                'type' => 'password',
                'invalid_message' => 'The password fields must match.',
                'required' => '',
                'first_options'  => array('label' => 'Password'),
                'second_options' => array('label' => 'Repeat password'),
                'options' => array('attr'
                    => array('class' => 'form-control',
                             'placeholder' => 'Password',
                            ))
            ))
            ->add('firstName', 'text')
            ->add('lastName', 'text')
        ;
    }
    public function getName()
    {
        return 'site_frontendbundle_registertype';
    }
}
?>